From 1447baef40a228321a00b9b84ad57931177d8bc2 Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sun, 26 Nov 2023 08:37:54 +0100
Subject: [PATCH 01/54] feat!: add libadwaita dependency

---
 Cargo.lock          | 37 +++++++++++++++++++++++++++++++++++--
 lact-gui/Cargo.toml |  1 +
 lact-gui/src/lib.rs |  2 +-
 3 files changed, 37 insertions(+), 3 deletions(-)

diff --git a/lact-gui/Cargo.toml b/lact-gui/Cargo.toml
index 3f06c07a..260a4268 100644
--- a/lact-gui/Cargo.toml
+++ b/lact-gui/Cargo.toml
@@ -15,6 +15,7 @@ gtk = { version = "0.7", package = "gtk4", features = ["v4_6", "blueprint"] }
 tracing = "0.1"
 tracing-subscriber = { version = "0.3", features = ["env-filter"] }
 anyhow = "1.0"
+libadwaita = { version = "0.5.3", features = ["v1_4"] }
 
 [dev-dependencies]
 pretty_assertions = "1.4.0"
diff --git a/lact-gui/src/lib.rs b/lact-gui/src/lib.rs
index 876b3ff9..33d145e1 100644
--- a/lact-gui/src/lib.rs
+++ b/lact-gui/src/lib.rs
@@ -17,7 +17,7 @@ pub fn run(args: GuiArgs) -> anyhow::Result<()> {
         .context("Invalid log level")?;
     tracing_subscriber::fmt().with_env_filter(env_filter).init();
 
-    if let Err(err) = gtk::init() {
+    if let Err(err) = libadwaita::init() {
         return Err(anyhow!("Cannot initialize GTK: {err}"));
     }
 

